package com.yeejoin.amos.patrol.common.enums;

public enum PatrolDataSyncTopicEnum {
    EQM_PATROL_CREATED("patrolSync", "emq.patrol.created"),
    CHECK("check", "patrol/sync/check"),
    CHECK_INPUT("checkInput", "patrol/sync/checkInput"),
    CHECK_SHOT("checkShot", "patrol/sync/checkShot"),
    PLAN_TASK("planTask", "patrol/sync/planTask"),
    PLAN_TASK_DETAIL("planTaskDetail", "patrol/sync/planTaskDetail"),
    CHECK_INPUT_BO("checkInputBo", "patrol/sync/checkInputBo");

    private String type;
    private String topic;

    PatrolDataSyncTopicEnum(String type, String topic) {
        this.type = type;
        this.topic = topic;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getTopic() {
        return topic;
    }

    public void setTopic(String topic) {
        this.topic = topic;
    }
}
